[Feedback] If you have problems with 2.0.9

This is an archive of the phpBB 2.0.x support forum. Support for phpBB2 has now ended.
Forum rules
Following phpBB2's EoL, this forum is now archived for reference purposes only.
Please see the following announcement for more information: viewtopic.php?f=14&t=1385785
geocator
Registered User
Posts: 16242
Joined: Fri Jan 09, 2004 11:56 pm
Location: On dry land
Contact:

Post by geocator »

jko wrote: Same problem here with styles removal.

If I comment out

Code: Select all

unset($GLOBALS[$var_name]);
in common.php it works again. This is the same issue I have with my installation of Gallery - the updates are stripping the http vars from scripts that need them.

John


This would be becuase the nice gallery people did not code the product to work with globals off. Remeber that you should have globals turned off anyway. BIG BIG security issue.
User avatar
Martin.dk
Registered User
Posts: 43
Joined: Fri Nov 30, 2001 12:25 am
Contact:

Post by Martin.dk »

JoshuaB wrote:
mattfoster wrote:I am now getting some threads which have, say, 6 pages - but upon clicking on page 6 am presented with "No posts exist for this topic".


I'm getting this too.


I am getting the above on some posts now as well. Perhaps a result of the common.php problem. The number of replies shown for the topic does not match the number of actual posts within the topic. Perhaps because users tried to post and couldn't because of the apostrophe problem. How can the no. of posts per topic be recalculated?
May the God of hope fill you with all joy and peace as you trust in Him, so that you may overflow with hope by the power of the Holy Spirit. Rom. 15:13
mikesnow
Registered User
Posts: 108
Joined: Mon Feb 02, 2004 2:40 am

Forgive my ignorance..

Post by mikesnow »

I run two phpbb boards, both are pretty similar, ezmod and attachmod are the two common mods between them. I checked common.php in the root of the forum (and searched all subfolders) and I don't have any of that above that I'm supposed to do a "find" on. I've manually looked through the file and don't have any of that stuff.

I assumed we all have the same files (minus the mods). I'm assuming I should have those lines of code in that file. Please correct me if I'm wrong. Both boards were updated using the update_to_209.php file.
Acyd Burn
Consultant
Consultant
Posts: 5830
Joined: Wed Dec 05, 2001 8:31 pm
Location: Behind You
Name: Meik Sievertsen

Post by Acyd Burn »

the update_to_209.php file is only responsible for updating the version number within the database.
mikesnow
Registered User
Posts: 108
Joined: Mon Feb 02, 2004 2:40 am

Post by mikesnow »

Ah, a case of RTFM... :( Thanks.
User avatar
Blü
Registered User
Posts: 13
Joined: Sat May 29, 2004 10:38 am
Location: Indo

[img][/img] bbcode in 2.0.9 doesn't work

Post by Blü »

:arrow: I re-post this topic here
------------------------------------------------------------------------

I succesfully upgraded phpBB 2.0.8 to 2.0.9

with one minor problem in [img] bbcode
when i tried to put image in between [img][/img] code
I found out it doesn't work (image doesn't show)

Then I re-uploaded previous 2.0.8 includes/bbcode.php, and the [img][/img] code works again.

Something wrong with includes/bbcode.php file in phpBB 2.0.9 :?:

-------------------------------------------------------------------------
Probably the problem I got of invalid [img][/img] is the change of the code as below (I use red color)

includes/bbcode.php 2.0.8 :
// [img]image_url_here[/img] code..
$text = preg_replace("#\[img\]((ht|f)tp://)([^ \?&=\"\n\r\t<]*?(\.(jpg|jpeg|gif|png)))\[/img\]#sie", "'[img:$uid]' . getsize('\\1'.str_replace(' ', '%20', '\\3')) . '[/img:$uid]'", $text);
-------------------------------------------------------------------------
includes/bbcode.php 2.0.9 :
// [img]image_url_here[/img] code..
$text = preg_replace("#\[img\]((http|ftp|https|ftps)://)([^ \?&=\#\"\n\r\t<]*?(\.(jpg|jpeg|gif|png)))\[/img\]#sie", "'[img:$uid]\\1' . str_replace(' ', '%20', '\\3') . '[/img:$uid]'", $text);
-------------------------------------------------------------------------
Last edited by Blü on Thu Jul 15, 2004 1:48 am, edited 1 time in total.
Blu is Blu
alphamonkey
Registered User
Posts: 146
Joined: Sat Mar 01, 2003 8:26 am
Location: 0x00

Post by alphamonkey »

I made a little change to unset_vars, this way it wont unset a few existing variables.

Code: Select all

function unset_vars(&$var)
{
  while (list($var_name, $null) = @each($var))
  {
    if ( ! ( $var_name == 'phpbb_root_path' || $var_name == 'no_page_header' || $var_name == 'phpEx' ) )
    {
      unset($GLOBALS[$var_name]);
    }
  }
  return;
}
Probably will never impact anyone, but if you are repackaging :wink:
alphamonkey
Registered User
Posts: 146
Joined: Sat Mar 01, 2003 8:26 am
Location: 0x00

Re: [img][/img] bbcode in 2.0.9 doesn't work

Post by alphamonkey »

Blü wrote: :arrow: I re-post this topic here
------------------------------------------------------------------------

I succesfully upgraded phpBB 2.0.8 to 2.0.9

with one minor problem in [img] bbcode
when i tried to put image in between [img][/img] code
I found out it doesn't work (image doesn't show)

Then I re-uploaded previous 2.0.8 includes/bbcode.php, and the [img][/img] code works again.

Something wrong with includes/bbcode.php file in phpBB 2.0.9 :?:
Could you give us the exact BBCode used?
jko
Registered User
Posts: 104
Joined: Thu Jun 20, 2002 8:47 pm

Post by jko »

geocator wrote:
jko wrote:Same problem here with styles removal.

If I comment out

Code: Select all

unset($GLOBALS[$var_name]);
in common.php it works again. This is the same issue I have with my installation of Gallery - the updates are stripping the http vars from scripts that need them.

John


This would be becuase the nice gallery people did not code the product to work with globals off. Remeber that you should have globals turned off anyway. BIG BIG security issue.

Which would be fine if I had my own server and the access to fiddle with that stuff, but since it's a virtual hosting account (like the majority of phpbb users, I guess), I'm at the mercy of whatever my hosting provider sets up.

Perhaps the coders here should bear that in mind when doing updates.

John
geocator
Registered User
Posts: 16242
Joined: Fri Jan 09, 2004 11:56 pm
Location: On dry land
Contact:

Post by geocator »

They do keep that in mind hence the security update. :D The point is that MOD authors need to come up to current php standards which is to not use globals.
jko
Registered User
Posts: 104
Joined: Thu Jun 20, 2002 8:47 pm

Post by jko »

geocator wrote: They do keep that in mind hence the security update. :D The point is that MOD authors need to come up to current php standards which is to not use globals.

My apologies. I've been doing a bit more reading and have a better understanding of the issue now. :)

John
User avatar
SethDeBlade
Registered User
Posts: 30
Joined: Tue Sep 30, 2003 2:11 pm

Post by SethDeBlade »

after installing the update i recieve the message "No posts exist for this topic" if a topic has so many postings that a new site is created.

is there a fix for that?
beachfreak
Registered User
Posts: 1
Joined: Wed Jul 14, 2004 11:35 pm
Location: Den Haag
Contact:

Post by beachfreak »

Applied the fix and it solved the SQL errors i had after upgrading to 2.0.9 ... a single quote is now allowed !!!
Thanx :wink:
armymp
Registered User
Posts: 8
Joined: Thu Jul 15, 2004 4:46 am

Post by armymp »

I upgraded two sites to the version 2.09 and the Visual Confirmation stoped showing an image on both of them. All I see now is a little box showing that an image is supposed to be there. I have gone into the admin config panel and anabled and disabled the visual confirmation only to see if it would reset itself, but no luck.

I uploaded all the files in the "changed files only" version as I moved from 2.08 to 2.09

Thanks

--------
Editing this post to add that:

I guess someone else has the same problem as myself.
http://www.phpbb.com/phpBB/viewtopic.ph ... nfirmation

---------------------------------
Suspiria
Registered User
Posts: 60
Joined: Fri Apr 18, 2003 11:46 am
Location: Utopia

Post by Suspiria »

Is it at all wise to upgrade to 2.0.9, if there is a possibility to add new bugs?
I don't know if my server has the globals on or off. I realy don't want the bugs that some of you have experienced.
I use 2.0.8a
SUSPIRIA The Only Thing More Terrifying Than The Last 12 Minutes Of This Film Are The First 92
Locked

Return to “2.0.x Support Forum”